Subject: Re: git-reflog 70 minutes at 100% cpu and counting

From: Eric Paris <[email-masked]>
Date: Mon, 14 Dec 2009 23:26:20 -0500

On Mon, 2009-12-14 at 22:50 -0500, Nicolas Pitre wrote:
> On Mon, 14 Dec 2009, Jeff King wrote:
> 
> > On Mon, Dec 14, 2009 at 04:20:29PM -0500, Eric Paris wrote:
> > 
> > > I'm pushing a copy of the whole repo (all 1.9G after bzip compression)
> > > to
> > > 
> > > http://people.redhat.com/~eparis/git-tar/
> > > 
> > > But it's going to take a couple hours.
> > 
> > Holy cow. Almost 150 packs, and that's not even everything. The tarball
> > is missing a bunch of objects, because it points to your kernel-1 as an
> > alternate. So I suspect we would need that, as well, to recreate.
> 
> Hmmm... Rebasing repositories mixed with alternates...  I wonder if the 
> infinite loop might not actually be due to a delta cycle, especially if 
> the alternate is also rebasing.
> 
> So having the alternate, too, would certainly be interesting.

The alternative repo is slowing pushing up to that same location.  That
tar is 855838982, so just a tad bit smaller.

-Eric